[Pkg-samba-maint] Bug#457073: samba: Newer Samba client fails to join Etch Samba PDC

root quentin.delance at aliasource.fr
Wed Dec 19 14:51:28 UTC 2007

Package: samba
Version: 3.0.24-6etch9
Severity: normal

I experience a problem when trying to join a Linux samba client in a Samba PDC.
The PDC is an Etch will all security packaqges applied.
When trying to join an Etch machine, everything is OK
When trying to join a Lenny machine (Samba 3.0.28 ATM), I get the following error message : 

(etchtest is the name of my machine which is a forme etch system et now a lenny)
etchtest:/var/log/samba# net rpc join -S PDC -U Administrateur
[2007/12/19 15:53:53, 0] utils/net_rpc_join.c:net_rpc_join_newstyle(304)
  error setting trust account password: NT code 0x1c010002
Unable to join domain GT_DOM.

On the Etch PDC, I get the following log : 

[2007/12/19 14:53:51, 0] rpc_server/srv_netlog_nt.c:get_md4pw(242)
  get_md4pw: Workstation ETCHTEST$: no account in domain
[2007/12/19 14:53:51, 0] rpc_server/srv_netlog_nt.c:_net_auth_2(461)
  _net_auth2: failed to get machine password for account ETCHTEST$: NT_STATUS_ACCESS_DENIED

This is a PDC with LDAP backend.

The LDAP node associated to the machine seems to be created correctly.

The error occurs by switching form Samba 3.0.24 (etch) to 3.0.28 (current lenny).
But errors have been reported with 3.0.26 also.

Am I missing something (I don't think so as it was working well with 3.0.24 so the config is fine).
Is it a bug related to debian packaging ? to samba itself ?

By the way, Windows machine are joining without problem :-/

Many thanks,

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages samba depends on:
ii  debconf  1.5.11                          Debian configuration management sy
ii  libacl1  2.2.41-1                        Access control list shared library
ii  libattr1 2.4.32-1                        Extended attribute shared library
ii  libc6    2.3.6.ds1-13etch2               GNU C Library: Shared libraries
ii  libcomer 1.39+1.40-WIP-2006.11.14+dfsg-2 common error description library
ii  libcupsy 1.2.7-4                         Common UNIX Printing System(tm) - 
ii  libgnutl 1.4.4-3                         the GNU TLS library - runtime libr
ii  libkrb53 1.4.4-7etch4                    MIT Kerberos runtime libraries
ii  libldap2 2.1.30-13.3                     OpenLDAP libraries
ii  libpam-m 0.79-4                          Pluggable Authentication Modules f
ii  libpam-r 0.79-4                          Runtime support for the PAM librar
ii  libpam0g 0.79-4                          Pluggable Authentication Modules l
ii  libpopt0 1.10-3                          lib for parsing cmdline parameters
ii  logrotat 3.7.1-3                         Log rotation utility
ii  lsb-base 3.1-23.2etch1                   Linux Standard Base 3.1 init scrip
ii  netbase  4.29                            Basic TCP/IP networking system
ii  procps   1:3.2.7-3                       /proc file system utilities
ii  samba-co 3.0.24-6etch9                   Samba common files used by both th
ii  zlib1g   1:1.2.3-13                      compression library - runtime

Versions of packages samba recommends:
ii  smbldap-tools                 0.9.2-3    Scripts to manage Unix and Samba a

-- debconf information:
  samba/run_mode: daemons
  samba/tdbsam: false
  samba/generate_smbpasswd: true

More information about the Pkg-samba-maint mailing list